PERTALIFE Bugs - Bug #3201

[HR-ORM]report organization chart ada 1 employee yang double double.
11/11/2024 11:15 AM - Muhammad Bintar

Status: Closed Start date: 11/11/2024

Priority: High Due date: 11/11/2024

Assignee: M Azid Wahyudi % Done: 0%

Category: Estimated time: 0.00 hour

Target version: Spent time: 1.00 hour
History

#1 -11/11/2024 11:22 AM - Kezia Pawitra Yulianti
- Due date changed from 11/13/2024 to 11/11/2024
- Status changed from New to Assigned

- Priority changed from Normal to High
#2 - 11/19/2024 10:27 AM - M Azid Wahyudi
- Status changed from Assigned to QA Test
- Assignee changed from M Azid Wahyudi to Muhammad Bintar

dear masbin , issue ini terjadi karena di OM6 ada yang double
di bawah ini cara mengecek data double
makasih

SELECT

DISTINCT om2.0bjectID,

om2.0bjectClass,

omz2.RelationshipType,
om2.RelationshipClass,
om2.RelationshipObject AS Parent,
md2.EmployeelD AS EmployeelD,
md1.FullName,

md1.Picture,

CASE WHEN (om1.PositionHead = 1) THEN '1' ELSE '0' END AS PositionHead,
om1.Abbreviation,

om1.0bjectDescription AS Position,
om6.CostCenter,

om6.CostElement,

om6.EmployeeType,
om6.EmployeeSubType,

om6.PositionType,

om6.StructureType,

om6.VacancyStatus,

om6.Notes,

om6.AdditionalSupervisor1,
om6.AdditionalSupervisor2,
om6.AdditionalSupervisor3,

j-Abbreviation,

j-ObjectDescription AS Job

FROM

dbo.PHROMO0002 AS om2 WITH (NOLOCK)
LEFT JOIN PHROMO0001 AS om1 WITH (NOLOCK) ON om2.0ObjectID = om1.0bjectID
AND om1.0ObjectClass = 'P'

AND omf1.StartDate <= '20241119'

AND om1.EndDate >= 20241119’

LEFT JOIN PHROMO0002 AS e WITH (NOLOCK) ON om2.0ObjectID = e.ObjectID
AND e.ObjectClass = 'P"

AND e.RelationshipClass = 'E'

AND e.RelationshipDirectory ='A'

AND e.StartDate <='20241119'

AND e.EndDate >= '20241119'

LEFT JOIN PHRPA0002 AS md2 WITH (NOLOCK) ON md2.Position = e.ObjectID
AND md2.EmployeeStatus = '01'

AND md2.StartDate <= '20241119'

AND md2.EndDate >="'20241119'

LEFT JOIN PHRPA0001 AS md1 WITH (NOLOCK) ON md2.EmployeelD = md1.EmployeelD

AND md1.StartDate <= '20241119'

AND md1.EndDate >="'20241119'

LEFT JOIN PHROMO0006 AS om6 WITH (NOLOCK) ON om2.0ObjectID = om6.0bject|D
AND om6.StartDate <= '20241119'

AND om6.EndDate >= 20241119’

LEFT JOIN PHROMO0001 AS j WITH (NOLOCK) ON j.ObjectID = om6.Job
AND j.ObjectClass = 'J'

AND j.StartDate <= '20241119'

AND j.EndDate >='20241119'

WHERE

om2.0bjectClass = 'P"'

AND om2.RelationshipDirectory = 'B'

AND om2.RelationshipObject = '00000222'

AND om2.RelationshipClass = 'O’

AND om2.StartDate <= '20241119'

AND om2.EndDate >='20241119'

#3 - 11/22/2024 09:41 AM - Muhammad Bintar
- Status changed from QA Test to Closed
- Assignee changed from Muhammad Bintar to M Azid Wahyudi
sudah di deploy ke client
